WinBase.COMPUTER_NAME_FORMAT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, interface: COMPUTER_NAME_FORMAT

Package com.sun.jna.platform.win32

# Interface WinBase.COMPUTER_NAME_FORMAT

Enclosing interface:
  WinBase

public static interface WinBase.COMPUTER_NAME_FORMAT
Specifies a type of computer name to be retrieved by the GetComputerNameEx function

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ComputerNameDnsDomain`
  The name of the DNS domain assigned to the local computer or the cluster associated with the local computer.
  `static final int`
  `ComputerNameDnsFullyQualified`
  The fully qualified DNS name that uniquely identifies the local computer or the cluster associated with the local computer.
  `static final int`
  `ComputerNameDnsHostname`
  The DNS name of the local computer or the cluster associated with the local computer.
  `static final int`
  `ComputerNameMax`
  Note used - serves as an upper limit in case one wants to go through all the values
  `static final int`
  `ComputerNameNetBIOS`
  The NetBIOS name of the local computer or the cluster associated with the local computer.
  `static final int`
  `ComputerNamePhysicalDnsDomain`
  The name of the DNS domain assigned to the local computer.
  `static final int`
  `ComputerNamePhysicalDnsFullyQualified`
  The fully qualified DNS name that uniquely identifies the computer.
  `static final int`
  `ComputerNamePhysicalDnsHostname`
  The DNS host name of the local computer.
  `static final int`
  `ComputerNamePhysicalNetBIOS`
  The NetBIOS name of the local computer.

- ## Field Details

  - ### ComputerNameNetBIOS

    static final int ComputerNameNetBIOS
    The NetBIOS name of the local computer or the cluster associated with the local computer. This name is limited to MAX_COMPUTERNAME_LENGTH + 1 characters and may be a truncated version of the DNS host name. For example, if the DNS host name is "corporate-mail-server", the NetBIOS name would be "corporate-mail-"".
    See Also:
      - Constant Field Values

  - ### ComputerNameDnsHostname

    static final int ComputerNameDnsHostname
    The DNS name of the local computer or the cluster associated with the local computer.
    See Also:
      - Constant Field Values

  - ### ComputerNameDnsDomain

    static final int ComputerNameDnsDomain
    The name of the DNS domain assigned to the local computer or the cluster associated with the local computer.
    See Also:
      - Constant Field Values

  - ### ComputerNameDnsFullyQualified

    static final int ComputerNameDnsFullyQualified
    The fully qualified DNS name that uniquely identifies the local computer or the cluster associated with the local computer. This name is a combination of the DNS host name and the DNS domain name, using the form HostName.DomainName. For example, if the DNS host name is "corporate-mail-server" and the DNS domain name is "microsoft.com", the fully qualified DNS name is "corporate-mail-server.microsoft.com".
    See Also:
      - Constant Field Values

  - ### ComputerNamePhysicalNetBIOS

    static final int ComputerNamePhysicalNetBIOS
    The NetBIOS name of the local computer. On a cluster, this is the NetBIOS name of the local node on the cluster.
    See Also:
      - Constant Field Values

  - ### ComputerNamePhysicalDnsHostname

    static final int ComputerNamePhysicalDnsHostname
    The DNS host name of the local computer. On a cluster, this is the DNS host name of the local node on the cluster.
    See Also:
      - Constant Field Values

  - ### ComputerNamePhysicalDnsDomain

    static final int ComputerNamePhysicalDnsDomain
    The name of the DNS domain assigned to the local computer. On a cluster, this is the DNS domain of the local node on the cluster.
    See Also:
      - Constant Field Values

  - ### ComputerNamePhysicalDnsFullyQualified

    static final int ComputerNamePhysicalDnsFullyQualified
    The fully qualified DNS name that uniquely identifies the computer. On a cluster, this is the fully qualified DNS name of the local node on the cluster. The fully qualified DNS name is a combination of the DNS host name and the DNS domain name, using the form HostName.DomainName.
    See Also:
      - Constant Field Values

  - ### ComputerNameMax

    static final int ComputerNameMax
    Note used - serves as an upper limit in case one wants to go through all the values
    See Also:
      - Constant Field Values